<!DOCTYPE html>
<html layout:decorate="~{task/layout}" xmlns:layout="http://www.w3.org/1999/xhtml"
      xmlns:th="http://www.w3.org/1999/xhtml">
<style>
    table {
        border-collapse: collapse;
        width: 100%
    }

    table, th, td {
        border: 1px solid black;
    }

    th, td {
        padding: 15px;
        text-align: left;
    }
    button{
        font-size: large;
    }

</style>
<head>
    <title>Title</title>
    <h1 th:text="${#temporals.format(localDate, 'dd-MM-yyyy')}"></h1>
    <h1>Store Id: 1</h1>
</head>
<body>
<div layout:fragment="content">
    <table class="table table-bordered table-striped">
        <thead>
        <tr>
            <td>Article</td>
            <td>Average sale</td>
            <td>Number of days</td>
            <td>Quantity</td>
            <td>In stock</td>
            <td>Quantity - In stock</td>
        </tr>
        </thead>
        <tbody>
        <tr th:each="instance: ${map}">
            <td th:text="${instance.key.getArticleName()}">Article </td>
            <td th:text="${instance.value.average}">Average sale</td>
            <td th:text="${instance.value.daysToOrder}">Number of days</td>
            <td th:text="${instance.value.average*instance.value.daysToOrder}">Quantity</td>
            <td th:text="${instance.value.stock}">In stock</td>
            <td th:text="${instance.value.average*instance.value.daysToOrder-instance.value.stock}">Quantity - In stock</td>
        </tr>
        </tbody>
    </table>
</div>
</body>
</html>